Bug 1655443 - The execution should halt when an error is encountered during deployment
Summary: The execution should halt when an error is encountered during deployment
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1655445
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 07:53 UTC by Mugdha Soni
Modified: 2019-04-03 10:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1655445 (view as bug list)
Environment:
Last Closed: 2019-02-22 11:55:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
config file (177 bytes, text/plain)
2018-12-03 07:53 UTC, Mugdha Soni
no flags Details

Description Mugdha Soni 2018-12-03 07:53:30 UTC
Created attachment 1510817 [details]
config file

Description of problem:
---------------------------
Gdeploy execution did not stop when there was an error encountered with VDO volume creation.The vdo volume creation failed in one of the host still gdeploy went ahead and started created physical volume.


Version-Release number of selected component:
-----------------------------------------------
rhvh-4.2.8.0-0.20181127
glusterfs-cli-3.12.2-29.el7rhgs.x86_64

How reproducible:
------------------
Everytime


Steps to Reproduce:
-------------------
1.Log in to the cockpit UI and start with gluster deployment.


Actual results:
-------------------
The gdeploy execution proceeded when error was encountered.


Expected results:
------------------
The gdeploy execution should halt .

Additional Info:
------------------
Created a config file to create a vdo volume and then if that is successful it should create a test file.The vdo creation failed still the test file was generated.

Comment 1 SATHEESARAN 2019-02-19 20:09:38 UTC
The dependent bug is having the fix available only for gdeploy and not for gluster-ansible roles.

Comment 4 Sahina Bose 2019-02-22 11:55:13 UTC
Closing as not relevant with RHHI 1.6 that changes gdeploy to use gluster-ansible roles

Comment 5 SATHEESARAN 2019-02-23 12:29:53 UTC
(In reply to Sahina Bose from comment #4)
> Closing as not relevant with RHHI 1.6 that changes gdeploy to use
> gluster-ansible roles

This is indeed a bug with gdeploy, but this is deferred to be fixed, as the future versions
of cockpit will be consuming gluster-ansible roles instead of gdeploy


Note You need to log in before you can comment on or make changes to this bug.